//
//  CUViewController.m
//  SpeakHelloWorld
//
//  Created by Ken Anderson on 10/17/12.
//  Copyright (c) 2012 University of Colorado. All rights reserved.
//

#import "CUViewController.h"

#import <Slt/Slt.h>
#import <OpenEars/FliteController.h>

@interface CUViewController ()

@property (strong, nonatomic) FliteController *fliteController;
@property (strong, nonatomic) Slt *slt;

@end

@implementation CUViewController

- (IBAction)dismissKeyboard:(UIButton *)sender {
    [self.greeting resignFirstResponder];
    self.speak.enabled = ([self.greeting.text length] > 0);
}

- (IBAction)handleSpeak:(UIButton *)sender {
    [self.fliteController say:self.greeting.text withVoice:self.slt];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.slt = [[Slt alloc] init];
    self.fliteController = [[FliteController alloc] init];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
